Subject: Re: [lojban] set mechanics

From: Robin Lee Powell <[email-masked]>
Date: Thu, 22 Feb 2001 20:46:56 -0500

On Fri, Feb 23, 2001 at 01:32:39AM +0000, Jorge Llambias wrote:
> 
> 
> >From: Robin Lee Powell <[email-masked]>
> 
> >mi ce do ku'a na'e bo lu'i do
> >
> >Think I like that best so far.
> 
> But {na'e bo lu'i do} is "something/some set other than
> the set {do}", it could be a set not containing mi as a
> member. Or should we make a new convention for na'e bo da
> when da is a set?

That's certainly how I intend to use it, unless someone has a better
idea. But not having a complete set of set operations in a language
thet has sets as a fundamental type _really_ bothers me, so we need
either set negation or set subtraction. na'e bo seems the most elegant
solution to me, but I still think this was a major oversight.

> > > (I don't understand how {to'e} could possibly work here.)
> >
> >'polar opposite' sounds like it would generate the inverse when applied
> >to a set to me.
> 
> To me it sounds like something else, if anything at all.
> For example, the opposite of the set of bad things could
> be the set of good things, but not the set of non-bad things.
> I can't see {to'e} as marking the complement.

Ah, OK, I see your point.

-Robin

-- 
http://www.csclub.uwaterloo.ca/~rlpowell/ BTW, I'm male, honest.
Information wants to be free. Too bad most of it is crap. --RLP